PANO_MODIFY(1)

NAME
pano_modify - Change output parameters of project file

SYNOPSIS
pano_modify [options] input.pto

DESCRIPTION
pano_modify modifies a single Hugin .pto project.

OPTIONS

-o, --output=file.pto
    Output Hugin PTO file. Default: <filename>_mod.pto

-p, --projection=NUMBER
    Sets the output projection to NUMBER
        RECTILINEAR = 0,
        PANORAMA (Circular) = 1,
        EQUIRECTANGULAR = 2,
        FISHEYE_FF = 3,
        STEREOGRAPHIC = 4,
        MERCATOR = 5,
        TRANS_MERCATOR = 6,
        SINUSOIDAL = 7,
        LAMBERT_EQUAL_AREA_CONIC = 8,
        LAMBERT_AZIMUTHAL = 9,
        ALBERS_EQUAL_AREA_CONIC = 10,
        MILLER_CYLINDRICAL = 11,
        PANINI = 12,
        ARCHITECTURAL = 13,
        ORTHOGRAPHIC = 14,
        EQUISOLID = 15,
        EQUI_PANINI = 16,
        BIPLANE = 17,
        TRIPLANE = 18,
        PANINI_GENERAL = 19,
        THOBY = 20,
        HAMMER = 21

--fov=AUTO|HFOV|HFOVxVFOV
    Sets field of view.

    AUTO: calculates optimal fov

    HFOV|HFOVxVFOV: set to given fov

-s, --straighten
    Straightens the panorama

-c, --center
    Centers the panorama

--canvas=AUTO|num%|WIDTHxHEIGHT
    Sets the output canvas size

    AUTO: calculate optimal canvas size

    num%: scales the optimal size by given percent

    WIDTHxHEIGHT: set to given size

--crop=AUTO|AUTOHDR|left,right,top,bottom
    Sets the crop rectangle

    AUTO: autocrop panorama

    AUTOHDR: autocrop HDR panorama

    left,right,top,bottom: to given size

--output-exposure=AUTO|num
    Sets the output exposure value to the mean exposure (AUTO) or to given value

--output-type=str
    Sets the type of output

    Valid items are (multiple items to be separated by a comma)

    NORMAL|N: normal panorama

    STACKSFUSEDBLENDED|BF: LDR panorama with blended stacks

    EXPOSURELAYERSFUSED|FB: LDR panorama with fused exposure layers (any arrangement)

    HDR: HDR panorama

    REMAP: remapped images with corrected exposure

    REMAPORIG: remapped images with uncorrected exposure

    HDRREMAP: remapped images in linear color space

    FUSEDSTACKS: exposure fused stacks

    HDRSTACKS: HDR stacks

    EXPOSURELAYERS: blended exposure layers

--ldr-file=JPG|TIF|PNG
    Sets the filetype for LDR panorama output

--ldr-compression=str
    Sets the compression for LDR panorama output

    For TIF: NONE|PACKBITS|LZW|DEFLATE

    For JPG: quality as number

--hdr-file=EXR|TIF
    Sets the filetype for HDR panorama output

--hdr-compression=str
    Sets the compression for HDR panorama output

    For TIF: NONE|PACKBITS|LZW|DEFLATE

--blender=ENBLEND|INTERNAL
    Sets the blender to be used at stitching stage

--rotate=yaw,pitch,roll
    Rotates the whole panorama with the given angles

--translate=x,y,z
    Translates the whole panorama with the given values

-h, --help
    Shows help

AUTHORS
Thomas Modes